Retrieve a Transaction

### GET Transactions `/transactions` endpoint allows you to operate on the [Transaction entity](/guides/overview/entities#transaction). Calling `GET /transactions/{transactionId}` will return the entire transaction payload and rule execution results for the transaction with the corresponding `transactionId`

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Path parameters

transactionIdstringRequired
Unique Transaction Identifier

Response

OK
typestring

Type of transaction (ex: DEPOSIT, WITHDRAWAL, TRANSFER, EXTERNAL_PAYMENT, REFUND, OTHER)

transactionIdstring>=1 character
Unique transaction identifier
timestampdouble315529200000-4133890801000
Timestamp of when transaction took place
executedRuleslist of objects
hitRuleslist of objects
statusenum
Model for rule action if a rule is hit. This is returned in the API response and can be configured on Console by operational accounts like a Compliance Analyst
Allowed values:
originUserIdstring
UserId for where the transaction originates from
destinationUserIdstring
UserId for transaction's destination. In other words, where the value is being transferred to.
transactionStateenum
Model for transaction states. E.g. Processing, Refunded, Successful etc.
originAmountDetailsobject
Model for transaction amount details
destinationAmountDetailsobject
Model for transaction amount details
originPaymentDetailsobject
Payment details of the origin. It can be a bank account number, wallet ID, card fingerprint etc.
destinationPaymentDetailsobject
originFundsInfoobject
Model for origin funds information
corporateEntityobject
Model for corporate entity details
relatedTransactionIdslist of strings

IDs of transactions related to this transaction. Ex: refund, split bills

productTypestring

Type of produce being used by the consumer (ex wallets, payments etc)

promotionCodeUsedboolean
Whether a promotion code was used or not the transaction
referencestring>=1 character
Reference field for the transaction indicating the purpose of the transaction etc.
originDeviceDataobject
Model for device data
destinationDeviceDataobject
Model for device data
metadataobject
Additional metadata for transactions including risk analysis and counterparty information
tagslist of objects
Additional information that can be added via tags
jurisdictionstring
Legal authority or region governing the transaction
riskScoreDetailsobject

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error